Summary: binutils for uClinux-H8/300H
Name: binutils-uclinux-h8
Version: 2.11.2
Release: 0
Copyright: GPL
Group: Development/Tools
Source: ftp://sourceware.cygnus.com/pub/binutils/releases/binutils-%{version}.tar.gz
patch: binutils-%{version}.patch
Prefix: %{_prefix}
BuildRoot: /var/tmp/%{name}-buildroot
nosource: 0

%description
GNU binutils package Target is uClinux-H8/300H

%prep
%setup -q -n binutils-%{version}
%patch -p1

%build

./configure --prefix=/usr --target=h8300-uclinux-hms
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make prefix=$RPM_BUILD_ROOT/usr install
strip $RPM_BUILD_ROOT/usr/bin/h8300-uclinux-hms-*
strip $RPM_BUILD_ROOT/usr/h8300-uclinux-hms/bin/*

# These come from gcc
rm -f $RPM_BUILD_ROOT/usr/bin/h8300-uclinux-hms-c++filt

mkdir $RPM_BUILD_ROOT/usr/lib/h8300-uclinux-hms/
mv $RPM_BUILD_ROOT/usr/lib/lib* $RPM_BUILD_ROOT/usr/lib/h8300-uclinux-hms/
mkdir $RPM_BUILD_ROOT/usr/include/h8300-uclinux-hms
mv $RPM_BUILD_ROOT/usr/include/*.h $RPM_BUILD_ROOT/usr/include/h8300-uclinux-hms/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/h8300-uclinux-hms-*
/usr/h8300-uclinux-hms/*
/usr/lib/h8300-uclinux-hms/*
/usr/include/h8300-uclinux-hms/*
/usr/man/man1/h8300-uclinux-hms-*
